package com.njcn.supervision.service.databank;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.njcn.supervision.pojo.param.databank.LibModelParam;
import com.njcn.supervision.pojo.po.databank.LibModel;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author wr
 * @since 2025-09-10
 */
public interface ILibModelService extends IService<LibModel> {

    Boolean add(LibModelParam param);

    Boolean update(LibModelParam.LibModelParamUpdate param);

    Page<LibModel> page(LibModelParam.LibModelParamQuery param);
}
